CumulativePoissonDistribution Class Reference

Cumulative Poisson distribution function. More...

`#include <ql/math/distributions/poissondistribution.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| CumulativePoissonDistribution (Real mu)
Real | operator() (BigNatural k) const

## Detailed Description

Cumulative Poisson distribution function.

This function provides an approximation of the integral of the Poisson distribution.

For this implementation see "Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery, chapter 6

Tests:
  the correctness of the returned value is tested by checking it against known good results.